#ifndef LEVEL
#define LEVEL

#include <string>
#include <vector>
#include <iostream>
#include <fstream>
#include <sstream>
#include "Matrix.h"
#include "Actor.h"
#include "Camera.h"
using namespace std;

#define BOX_SIZE 3

class Level
{
private:
	vector<vector<int> > levelMap;
	vector<vector<Actor *> > levelActors;

	int nStartPosX, nStartPosZ;
	int nEndPosX, nEndPosZ;

public:
	Level(string filename);

	void initCamera(Camera *camera);
	void drawLevel(string shader);
	Vector3 getEndPos();
};

#endif